Merge relevant CXFSQA tests into XFSQA

Merge of master-melb:xfs-cmds:26631a by kenmcd.
This commit is contained in:
Allan Randall
2006-08-04 13:44:58 +00:00
parent 3c85949e86
commit 981ee2573c
31 changed files with 4319 additions and 7 deletions
Executable
+67
View File
@@ -0,0 +1,67 @@
#! /bin/sh
# FSQA Test No. 123
#
# Make sure user cannot overwrite, append, delete or move a file created by
# root. Modified CXFSQA test 940960 and 940558.
#
#-----------------------------------------------------------------------
# Copyright (c) 2006 Silicon Graphics, Inc. All Rights Reserved.
#-----------------------------------------------------------------------
#
# creator
owner=ajones@sgi.com
seq=`basename $0`
echo "QA output created by $seq"
here=`pwd`
tmp=/tmp/$$
status=0 # success is the default!
trap "_cleanup; exit \$status" 0 1 2 3 15
_cleanup()
{
cd $testdir
rm data_coherency.txt
cd /
_cleanup_testdir
}
_user_do()
{
echo $1 | su - $qa_user | sed -e "s#.*Permission denied.*#Permission denied#g"
}
# get standard environment, filters and checks
. ./common.rc
. ./common.filter
# real QA test starts here
_supported_fs xfs udf nfs
_supported_os Linux IRIX
_require_user
_setup_testdir
echo foo > $testdir/data_coherency.txt
# check basic appending to a file
echo bar >> $testdir/data_coherency.txt
# try append
_user_do "echo goo 2>&1 >> $testdir/data_coherency.txt"
# try overwrite
_user_do "echo goo 2>&1 > $testdir/data_coherency.txt"
# try delete
_user_do "rm $testdir/data_coherency.txt 2>&1"
# try move
_user_do "mv $testdir/data_coherency.txt $testdir/data_coherency2.txt 2>&1"
cat $testdir/data_coherency.txt
exit
+7
View File
@@ -0,0 +1,7 @@
QA output created by 123
Permission denied
Permission denied
Permission denied
Permission denied
foo
bar
Executable
+71
View File
@@ -0,0 +1,71 @@
#! /bin/sh
# FSQA Test No. 124
#
# Test preallocated_rw_pattern_test modified from CXFSQA test preallocated_rw_pattern_test
#
# pat stands for pattern. First 8 bytes contains the 64-bit number 0,
# second is 1, ..., until last 8 bytes (1048568-1048575) contain 131071.
# patw preallocates the file and then writes the pattern, patr checks it
#
#-----------------------------------------------------------------------
# Copyright (c) 2006 Silicon Graphics, Inc. All Rights Reserved.
#-----------------------------------------------------------------------
#
# creator
owner=ajones@sgi.com
seq=`basename $0`
echo "QA output created by $seq"
here=`pwd`
tmp=/tmp/$$
status=1 # failure is the default!
trap "_cleanup; exit \$status" 0 1 2 3 15
_cleanup()
{
cd /
_cleanup_testdir
}
# get standard environment, filters and checks
. ./common.rc
. ./common.filter
# real QA test starts here
_supported_fs xfs udf nfs
_supported_os Linux
_setup_testdir
_require_scratch
_scratch_mkfs >/dev/null 2>&1
_scratch_mount
# Run preallo_rw_pattern on both test and scratch partitions
for TESTFILE in $testdir/rw_pattern.tmp $SCRATCH_MNT/rw_pattern.tmp
do
count=1
while (( count < 101 ))
do
src/preallo_rw_pattern_writer $TESTFILE
src/preallo_rw_pattern_reader $TESTFILE
if (test $? -ne 0) then
echo Read/Write Pattern Test FAILED.
_cleanup
exit 1
fi
rm $TESTFILE
((count=count+1))
done #done for count of 100
done
if (test $? -eq 0 ) then
status=0
fi
umount $SCRATCH_DEV
_check_test_fs
_check_scratch_fs
exit
+1
View File
@@ -0,0 +1 @@
QA output created by 124
Executable
+61
View File
@@ -0,0 +1,61 @@
#! /bin/sh
# FSQA Test No. 125
#
# ftruncate test, modified from CXFSQA tests cxfs_ftrunc and cxfs_trunc
#
#-----------------------------------------------------------------------
# Copyright (c) 2006 Silicon Graphics, Inc. All Rights Reserved.
#-----------------------------------------------------------------------
#
# creator
owner=ajones@sgi.com
seq=`basename $0`
echo "QA output created by $seq"
here=`pwd`
tmp=/tmp/$$
status=1 # failure is the default!
trap "_cleanup; exit \$status" 0 1 2 3 15
_cleanup()
{
_cleanup_testdir
}
# get standard environment, filters and checks
. ./common.rc
. ./common.filter
# real QA test starts here
_supported_fs xfs udf nfs
_supported_os Linux
_require_user
_setup_testdir
TESTDIR=$testdir/ftrunc
TESTFILE=$TESTDIR/ftrunc.tmp
[ -d $TESTDIR ] && rm -r $TESTDIR
mkdir $TESTDIR
# ftrunc must be run as a mortal user.
touch $TESTFILE
chmod a+rw $TESTDIR
chmod a+rw $TESTFILE
su $qa_user -c "$here/src/ftrunc -f $TESTFILE"
if [ "$?" != "0" ]; then
echo src/ftrunc returned non 0 status!
fi
src/trunc -f $TESTFILE
if (test $? -eq 0 ) then
status=0
fi
exit
+7
View File
@@ -0,0 +1,7 @@
QA output created by 125
direct write of 1's into file
buffered write of 2's into file
truncate file
sync buffered data (2's)
iterate direct reads for 60s or until failure...
Passed
Executable
+64
View File
@@ -0,0 +1,64 @@
#! /bin/sh
# FSQA Test No. 126
#
# tests various file permission options modified from CXFSQA test fs_perms
#
#-----------------------------------------------------------------------
# Copyright (c) 2006 Silicon Graphics, Inc. All Rights Reserved.
#-----------------------------------------------------------------------
#
# creator
owner=allanr@sgi.com
seq=`basename $0`
echo "QA output created by $seq"
here=`pwd`
tmp=/tmp/$$
status=1 # failure is the default!
trap "_cleanup; exit \$status" 0 1 2 3 15
_cleanup()
{
_cleanup_testdir
}
# get standard environment, filters and checks
. ./common.rc
. ./common.filter
# real QA test starts here
_supported_fs xfs udf nfs
_supported_os Linux
_require_user
_setup_testdir
QA_FS_PERMS=$here/src/fs_perms
cd $testdir
cp $here/src/testx ./testx.file
# file_perm owner_uid owner_gid tester_uid tester_gid perm_to_test expected_result pass=1
$QA_FS_PERMS 001 99 99 12 100 x 1
$QA_FS_PERMS 010 99 99 200 99 x 1
$QA_FS_PERMS 100 99 99 99 500 x 1
$QA_FS_PERMS 002 99 99 12 100 w 1
$QA_FS_PERMS 020 99 99 200 99 w 1
$QA_FS_PERMS 200 99 99 99 500 w 1
$QA_FS_PERMS 004 99 99 12 100 r 1
$QA_FS_PERMS 040 99 99 200 99 r 1
$QA_FS_PERMS 400 99 99 99 500 r 1
$QA_FS_PERMS 000 99 99 99 99 r 1
$QA_FS_PERMS 000 99 99 99 99 w 1
$QA_FS_PERMS 000 99 99 99 99 x 1
$QA_FS_PERMS 010 99 99 99 500 x 1
$QA_FS_PERMS 100 99 99 200 99 x 1
$QA_FS_PERMS 020 99 99 99 500 w 1
$QA_FS_PERMS 200 99 99 200 99 w 1
$QA_FS_PERMS 040 99 99 99 500 r 1
$QA_FS_PERMS 400 99 99 200 99 r 1
status=0
_cleanup
exit
+19
View File
@@ -0,0 +1,19 @@
QA output created by 126
x a 001 file owned by (99/99) as user/group(12/100) PASS
x a 010 file owned by (99/99) as user/group(200/99) PASS
x a 100 file owned by (99/99) as user/group(99/500) PASS
w a 002 file owned by (99/99) as user/group(12/100) PASS
w a 020 file owned by (99/99) as user/group(200/99) PASS
w a 200 file owned by (99/99) as user/group(99/500) PASS
r a 004 file owned by (99/99) as user/group(12/100) PASS
r a 040 file owned by (99/99) as user/group(200/99) PASS
r a 400 file owned by (99/99) as user/group(99/500) PASS
r a 000 file owned by (99/99) as user/group(99/99) FAIL
w a 000 file owned by (99/99) as user/group(99/99) FAIL
x a 000 file owned by (99/99) as user/group(99/99) FAIL
x a 010 file owned by (99/99) as user/group(99/500) FAIL
x a 100 file owned by (99/99) as user/group(200/99) FAIL
w a 020 file owned by (99/99) as user/group(99/500) FAIL
w a 200 file owned by (99/99) as user/group(200/99) FAIL
r a 040 file owned by (99/99) as user/group(99/500) FAIL
r a 400 file owned by (99/99) as user/group(200/99) FAIL
Executable
+111
View File
@@ -0,0 +1,111 @@
#! /bin/sh
# FSQA Test No. 127
#
# fsx tests modified from CXFSQA tests
# - fsx_00_lite
# - fsx_05_lite_mmap
# - fsx_10_std,
# - fsx_15_std_mmap
#-----------------------------------------------------------------------
# Copyright (c) 2006 Silicon Graphics, Inc. All Rights Reserved.
#-----------------------------------------------------------------------
#
# creator
owner=allanr@sgi.com
seq=`basename $0`
echo "QA output created by $seq"
here=`pwd`
tmp=/tmp/$$
status=1 # failure is the default!
trap "_cleanup; exit \$status" 0 1 2 3 15
_cleanup()
{
_cleanup_testdir
}
# get standard environment, filters and checks
. ./common.rc
. ./common.filter
FSX_FILE_SIZE=262144
FSX_ARGS="-q -l $FSX_FILE_SIZE -o 65536 -S 191110531 -N 100000"
_fsx_lite_nommap()
{
echo "=== FSX Light Mode, No Memory Mapping ==="
dd if=/dev/zero of=$testdir/fsx_lite_nommap bs=${FSX_FILE_SIZE} count=1 > /dev/null 2>&1
if ! ltp/fsx $FSX_ARGS -L -R -W $testdir/fsx_lite_nommap > $tmp.output 2>&1
then
echo "ltp/fsx $FSX_ARGS -L -R -W $testdir/fsx_lite_nommap"
cat $tmp.output
return 1
fi
cat $tmp.output
return 0
}
_fsx_lite_mmap()
{
echo "=== FSX Light Mode, Memory Mapping ==="
dd if=/dev/zero of=$testdir/fsx_lite_mmap bs=${FSX_FILE_SIZE} count=1 > /dev/null 2>&1
if ! ltp/fsx $FSX_ARGS -L $testdir/fsx_lite_mmap > $tmp.output 2>&1
then
echo "ltp/fsx $FSX_ARGS -L fsx_lite_mmap"
cat $tmp.output
return 1
fi
cat $tmp.output
return 0
}
_fsx_std_nommap()
{
echo "=== FSX Standard Mode, No Memory Mapping ==="
if ! ltp/fsx $FSX_ARGS -R -W $testdir/fsx_std_nommap > $tmp.output 2>&1
then
echo "ltp/fsx $FSX_ARGS -R -W fsx_std_nommap"
cat $tmp.output
return 1
fi
cat $tmp.output
return 0
}
_fsx_std_mmap()
{
echo "=== FSX Standard Mode, Memory Mapping ==="
if ! ltp/fsx $FSX_ARGS $testdir/fsx_std_mmap > $tmp.output 2>&1
then
echo "ltp/fsx $FSX_ARGS fsx_std_mmap"
cat $tmp.output
return 1
fi
cat $tmp.output
return 0
}
# real QA test starts here
_supported_fs xfs udf nfs
_supported_os Linux
_require_user
_setup_testdir
_fsx_lite_nommap
_fsx_lite_mmap
_fsx_std_nommap
_fsx_std_mmap
#flush cache after write
FSX_ARGS="-f $FSX_ARGS"
_fsx_std_nommap
_fsx_std_mmap
status=0
_cleanup
exit
+13
View File
@@ -0,0 +1,13 @@
QA output created by 127
=== FSX Light Mode, No Memory Mapping ===
All operations completed A-OK!
=== FSX Light Mode, Memory Mapping ===
All operations completed A-OK!
=== FSX Standard Mode, No Memory Mapping ===
All operations completed A-OK!
=== FSX Standard Mode, Memory Mapping ===
All operations completed A-OK!
=== FSX Standard Mode, No Memory Mapping ===
All operations completed A-OK!
=== FSX Standard Mode, Memory Mapping ===
All operations completed A-OK!
Executable
+55
View File
@@ -0,0 +1,55 @@
#! /bin/sh
# FSQA Test No. 128
#
# Test nosuid mount option modified from CXFSQA test mount_option_nosuid
#
#
#-----------------------------------------------------------------------
# Copyright (c) 2006 Silicon Graphics, Inc. All Rights Reserved.
#-----------------------------------------------------------------------
#
# creator
owner=allanr@sgi.com
seq=`basename $0`
echo "QA output created by $seq"
here=`pwd`
tmp=/tmp/$$
status=1 # failure is the default!
trap "_cleanup; exit \$status" 0 1 2 3 15
_cleanup()
{
cd /
_cleanup_testdir
}
# get standard environment, filters and checks
. ./common.rc
. ./common.filter
# real QA test starts here
_supported_fs xfs udf nfs
_supported_os Linux
_setup_testdir
_require_scratch
_require_user
_scratch_mkfs >/dev/null 2>&1
_scratch_mount "-o nosuid"
mkdir $SCRATCH_MNT/nosuid
cp `which ls` $SCRATCH_MNT
chmod 700 $SCRATCH_MNT/nosuid
chmod 4755 $SCRATCH_MNT/ls
su - $qa_user -c "$SCRATCH_MNT/ls $SCRATCH_MNT/nosuid >/dev/null 2>&1"
if [ $? -eq 0 ] ; then
echo "Error: we shouldn't be able to ls the directory"
fi
umount $SCRATCH_DEV
status=0
exit
+1
View File
@@ -0,0 +1 @@
QA output created by 128
Executable
+57
View File
@@ -0,0 +1,57 @@
#! /bin/sh
# FSQA Test No. 129
#
# looptests created from CXFSQA test looptest
#
#
#-----------------------------------------------------------------------
# Copyright (c) 2006 Silicon Graphics, Inc. All Rights Reserved.
#-----------------------------------------------------------------------
#
# creator
owner=allanr@sgi.com
seq=`basename $0`
echo "QA output created by $seq"
here=`pwd`
tmp=/tmp/$$
status=1 # failure is the default!
trap "_cleanup; exit \$status" 0 1 2 3 15
_cleanup()
{
cd /
_cleanup_testdir
}
# get standard environment, filters and checks
. ./common.rc
. ./common.filter
echo_and_run()
{
echo "$1"
$1
}
# real QA test starts here
_supported_fs xfs udf nfs
_supported_os Linux
_setup_testdir
_require_scratch
_require_user
_scratch_mkfs >/dev/null 2>&1
_scratch_mount "-o nosuid"
mkdir $SCRATCH_MNT/looptest
src/looptest -i 100000 -r -w -b 8192 -s $SCRATCH_MNT/looptest/looptest1.tst
src/looptest -i 10000 -t -r -w -s -b 102400 $SCRATCH_MNT/looptest/looptest2.tst
src/looptest -i 50000 -r -w -b 256 -s $SCRATCH_MNT/looptest/looptest3.tst
src/looptest -i 2000 -o -r -w -b 8192 -s $SCRATCH_MNT/looptest/looptest4.tst
status=0
exit
+1
View File
@@ -0,0 +1 @@
QA output created by 129
Executable
+262
View File
@@ -0,0 +1,262 @@
#! /bin/sh
# FSQA Test No. 130
#
# xfs_io vector read/write and trunc tests. modified from cxfsqa tests
# - unixfile_basic_block_hole
# - unixfile_buffer_direct_coherency
# - unixfile_direct_rw
# - unixfile_eof_direct
# - unixfile_fsb_edge
# - unixfile_open_append
# - unixfile_open_trunc
# - unixfile_small_vector_async_rw
# - unixfile_small_vector_sync_rw
#
#-----------------------------------------------------------------------
# Copyright (c) 2006 Silicon Graphics, Inc. All Rights Reserved.
#-----------------------------------------------------------------------
#
# creator
owner=allanr@sgi.com
seq=`basename $0`
echo "QA output created by $seq"
here=`pwd`
tmp=/tmp/$$
status=1 # failure is the default!
trap "_cleanup; exit \$status" 0 1 2 3 15
_cleanup()
{
cd /
_cleanup_testdir
}
# get standard environment, filters and checks
. ./common.rc
. ./common.filter
common_line_filter()
{
perl -ne 'if (/.*:(.*)/) {
if ( "$last_line" ne "$1" ) { print $_; $first_match=1; }
elsif ( $first_match==1 ) { print "*\n"; $first_match=0; }
$last_line="$1";
}
else {
print $_
}'
}
_filter_xfs_io()
{
common_line_filter | sed -e "s/[0-9/.]* [GMKiBbytes]*, [0-9]* ops\; [0-9/:. sec]* ([0-9/.]* [GMKiBbytes]*\/sec and [0-9/.]* ops\/sec)/XXX Bytes, X ops\; XX:XX:XX.X (XXX YYY\/sec and XXX ops\/sec)/"
}
# real QA test starts here
_supported_fs xfs udf nfs
_supported_os Linux IRIX
_setup_testdir
_require_scratch
_require_user
_scratch_mkfs >/dev/null 2>&1
_scratch_mount
echo "End-of-file zeroing with direct I/O"
xfs_io -f -d -t -c "pwrite -S 0x63 0 65536" \
-c "truncate 1" \
-c "pwrite -S 0x41 65536 65536" \
-c "pread -v 0 131072" \
$SCRATCH_MNT/eof-zeroing_direct | _filter_xfs_io
echo
echo "Basic Block Hole test"
xfs_io -f -t -c "truncate 8192" \
-c "pread -v 5000 3000" \
$SCRATCH_MNT/blackhole | _filter_xfs_io
echo
echo "Test buffered and direct IO coherency"
xfs_io -f -t -c "pwrite -S 0x41 8000 1000" \
-c "pwrite -S 0x57 4000 1000" \
$SCRATCH_MNT/buff_direct_coherency | _filter_xfs_io
xfs_io -d -c "pwrite -S 0x78 20480 4096"\
-c "pwrite -S 0x79 4096 4096"\
$SCRATCH_MNT/buff_direct_coherency | _filter_xfs_io
xfs_io -c "pread -v 0 9000"\
$SCRATCH_MNT/buff_direct_coherency | _filter_xfs_io
echo
echo "Test direct read and write"
xfs_io -f -d -t -c "pwrite -S 0x78 0 65536"\
-c "pread -v 0 65536"\
-c "pwrite -S 0x46 65536 6553600"\
-c "pread -v 0 6619136"\
$SCRATCH_MNT/direct_io | _filter_xfs_io
xfs_io -d -c "pread -v 0 6619136"\
$SCRATCH_MNT/direct_io | _filter_xfs_io
xfs_io -f -d -t -c "pwrite -S 0x61 0 65536"\
-c "pread -v 0 65536"\
-c "pwrite -S 0x62 65536 131072"\
-c "pread -v 0 131072"\
$SCRATCH_MNT/async_direct_io | _filter_xfs_io
xfs_io -d -c "pread -v 0 131072"\
$SCRATCH_MNT/async_direct_io | _filter_xfs_io
echo
echo "FSB Edge test"
xfs_io -f -t -c "truncate 131072"\
-c "pwrite -S 0x5F 0 131072"\
-c "truncate 0"\
-c "truncate 131072"\
-c "pwrite -S 0x61 65535 2"\
-c "pread -v 0 131072"\
$SCRATCH_MNT/fsb_edge_test | _filter_xfs_io
echo
echo "Open Trunk test (O_TRUNC)"
for n in 0 1 2 3 4
do
xfs_io -f -t -c "pread -v 0 100" $SCRATCH_MNT/$n | _filter_xfs_io
echo "Test" > $SCRATCH_MNT/$n
xfs_io -f -t -c "pread -v 0 100" $SCRATCH_MNT/$n | _filter_xfs_io
cat $SCRATCH_MNT/$n
done
echo "DONE"
echo
echo "Append test"
echo "append to me" > $SCRATCH_MNT/append
xfs_io -a -c "pwrite -S 0x61 0 10" \
-c "pread -v 0 24"\
$SCRATCH_MNT/append | _filter_xfs_io
echo
echo "Small Vector Async"
echo "abcdefghijklmnopqrstuvwxyz" > $SCRATCH_MNT/small_vector_async
xfs_io -f -c "pread -v 0 1"\
-c "pread -v 1 1"\
-c "pread -v 2 1"\
-c "pread -v 3 1"\
-c "pread -v 4 1"\
-c "pread -v 5 1"\
-c "pread -v 6 1"\
-c "pread -v 7 1"\
-c "pread -v 8 1"\
-c "pread -v 9 1"\
-c "pread -v 10 1"\
-c "pread -v 11 1"\
-c "pread -v 12 1"\
-c "pread -v 13 13"\
-c "pwrite -S 0x61 4090 1"\
-c "pwrite -S 0x62 4091 1"\
-c "pwrite -S 0x63 4092 1"\
-c "pwrite -S 0x64 4093 1"\
-c "pwrite -S 0x65 4094 1"\
-c "pwrite -S 0x66 4095 1"\
-c "pwrite -S 0x67 4096 1"\
-c "pwrite -S 0x68 4097 1"\
-c "pwrite -S 0x69 4098 1"\
-c "pwrite -S 0x6A 4099 1"\
-c "pwrite -S 0x6B 4100 1"\
-c "pwrite -S 0x6C 4101 1"\
-c "pwrite -S 0x6D 4102 1"\
-c "pwrite -S 0x6E 4103 1"\
-c "pwrite -S 0x6F 4104 1"\
-c "pwrite -S 0x70 4105 1"\
-c "pread -v 4090 4"\
-c "pread -v 4094 4"\
-c "pread -v 4098 4"\
-c "pread -v 4102 4"\
-c "pwrite -S 0x61 10000000000 1"\
-c "pwrite -S 0x62 10000000001 1"\
-c "pwrite -S 0x63 10000000002 1"\
-c "pwrite -S 0x64 10000000003 1"\
-c "pwrite -S 0x65 10000000004 1"\
-c "pwrite -S 0x66 10000000005 1"\
-c "pwrite -S 0x67 10000000006 1"\
-c "pwrite -S 0x68 10000000007 1"\
-c "pwrite -S 0x69 10000000008 1"\
-c "pwrite -S 0x6A 10000000009 1"\
-c "pwrite -S 0x6B 10000000010 1"\
-c "pwrite -S 0x6C 10000000011 1"\
-c "pwrite -S 0x6D 10000000012 1"\
-c "pwrite -S 0x6E 10000000013 1"\
-c "pwrite -S 0x6F 10000000014 1"\
-c "pwrite -S 0x70 10000000015 1"\
-c "pread -v 10000000000 4"\
-c "pread -v 10000000004 4"\
-c "pread -v 10000000008 4"\
-c "pread -v 10000000012 4"\
$SCRATCH_MNT/small_vector_async | _filter_xfs_io
echo
echo "Small Vector Sync"
echo "abcdefghijklmnopqrstuvwxyz" > $SCRATCH_MNT/small_vector_async
xfs_io -f -s -c "pread -v 0 1"\
-c "pread -v 1 1"\
-c "pread -v 2 1"\
-c "pread -v 3 1"\
-c "pread -v 4 1"\
-c "pread -v 5 1"\
-c "pread -v 6 1"\
-c "pread -v 7 1"\
-c "pread -v 8 1"\
-c "pread -v 9 1"\
-c "pread -v 10 1"\
-c "pread -v 11 1"\
-c "pread -v 12 1"\
-c "pread -v 13 13"\
-c "pwrite -S 0x61 4090 1"\
-c "pwrite -S 0x62 4091 1"\
-c "pwrite -S 0x63 4092 1"\
-c "pwrite -S 0x64 4093 1"\
-c "pwrite -S 0x65 4094 1"\
-c "pwrite -S 0x66 4095 1"\
-c "pwrite -S 0x67 4096 1"\
-c "pwrite -S 0x68 4097 1"\
-c "pwrite -S 0x69 4098 1"\
-c "pwrite -S 0x6A 4099 1"\
-c "pwrite -S 0x6B 4100 1"\
-c "pwrite -S 0x6C 4101 1"\
-c "pwrite -S 0x6D 4102 1"\
-c "pwrite -S 0x6E 4103 1"\
-c "pwrite -S 0x6F 4104 1"\
-c "pwrite -S 0x70 4105 1"\
-c "pread -v 4090 4"\
-c "pread -v 4094 4"\
-c "pread -v 4098 4"\
-c "pread -v 4102 4"\
-c "pwrite -S 0x61 10000000000 1"\
-c "pwrite -S 0x62 10000000001 1"\
-c "pwrite -S 0x63 10000000002 1"\
-c "pwrite -S 0x64 10000000003 1"\
-c "pwrite -S 0x65 10000000004 1"\
-c "pwrite -S 0x66 10000000005 1"\
-c "pwrite -S 0x67 10000000006 1"\
-c "pwrite -S 0x68 10000000007 1"\
-c "pwrite -S 0x69 10000000008 1"\
-c "pwrite -S 0x6A 10000000009 1"\
-c "pwrite -S 0x6B 10000000010 1"\
-c "pwrite -S 0x6C 10000000011 1"\
-c "pwrite -S 0x6D 10000000012 1"\
-c "pwrite -S 0x6E 10000000013 1"\
-c "pwrite -S 0x6F 10000000014 1"\
-c "pwrite -S 0x70 10000000015 1"\
-c "pread -v 10000000000 4"\
-c "pread -v 10000000004 4"\
-c "pread -v 10000000008 4"\
-c "pread -v 10000000012 4"\
$SCRATCH_MNT/small_vector_async | _filter_xfs_io
status=0
exit
+390
View File
@@ -0,0 +1,390 @@
QA output created by 130
End-of-file zeroing with direct I/O
wrote 65536/65536 bytes at offset 0
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
wrote 65536/65536 bytes at offset 65536
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
00000000: 63 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 c...............
00000010: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 ................
*
00010000: 41 41 41 41 41 41 41 41 41 41 41 41 41 41 41 41 AAAAAAAAAAAAAAAA
*
read 131072/131072 bytes at offset 0
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
Basic Block Hole test
00001388: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 ................
*
00001f38: 00 00 00 00 00 00 00 00 ........
read 3000/3000 bytes at offset 5000
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
Test buffered and direct IO coherency
wrote 1000/1000 bytes at offset 8000
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
wrote 1000/1000 bytes at offset 4000
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
wrote 4096/4096 bytes at offset 20480
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
wrote 4096/4096 bytes at offset 4096
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
00000000: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 ................
*
00000fa0: 57 57 57 57 57 57 57 57 57 57 57 57 57 57 57 57 WWWWWWWWWWWWWWWW
*
00001000: 79 79 79 79 79 79 79 79 79 79 79 79 79 79 79 79 yyyyyyyyyyyyyyyy
*
00002000: 41 41 41 41 41 41 41 41 41 41 41 41 41 41 41 41 AAAAAAAAAAAAAAAA
*
00002320: 41 41 41 41 41 41 41 41 AAAAAAAA
read 9000/9000 bytes at offset 0
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
Test direct read and write
wrote 65536/65536 bytes at offset 0
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
00000000: 78 78 78 78 78 78 78 78 78 78 78 78 78 78 78 78 xxxxxxxxxxxxxxxx
*
read 65536/65536 bytes at offset 0
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
wrote 6553600/6553600 bytes at offset 65536
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
00000000: 78 78 78 78 78 78 78 78 78 78 78 78 78 78 78 78 xxxxxxxxxxxxxxxx
*
00010000: 46 46 46 46 46 46 46 46 46 46 46 46 46 46 46 46 FFFFFFFFFFFFFFFF
*
read 6619136/6619136 bytes at offset 0
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
00000000: 78 78 78 78 78 78 78 78 78 78 78 78 78 78 78 78 xxxxxxxxxxxxxxxx
*
00010000: 46 46 46 46 46 46 46 46 46 46 46 46 46 46 46 46 FFFFFFFFFFFFFFFF
*
read 6619136/6619136 bytes at offset 0
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
wrote 65536/65536 bytes at offset 0
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
00000000: 61 61 61 61 61 61 61 61 61 61 61 61 61 61 61 61 aaaaaaaaaaaaaaaa
*
read 65536/65536 bytes at offset 0
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
wrote 131072/131072 bytes at offset 65536
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
00010000: 62 62 62 62 62 62 62 62 62 62 62 62 62 62 62 62 bbbbbbbbbbbbbbbb
*
read 131072/131072 bytes at offset 0
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
00000000: 61 61 61 61 61 61 61 61 61 61 61 61 61 61 61 61 aaaaaaaaaaaaaaaa
*
00010000: 62 62 62 62 62 62 62 62 62 62 62 62 62 62 62 62 bbbbbbbbbbbbbbbb
*
read 131072/131072 bytes at offset 0
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
FSB Edge test
wrote 131072/131072 bytes at offset 0
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
wrote 2/2 bytes at offset 65535
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
00000000: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 ................
*
0000fff0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 61 ...............a
00010000: 61 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 a...............
00010010: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 ................
*
read 131072/131072 bytes at offset 0
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
Open Trunk test (O_TRUNC)
read 0/100 bytes at offset 0
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
read 0/100 bytes at offset 0
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
read 0/100 bytes at offset 0
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
read 0/100 bytes at offset 0
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
read 0/100 bytes at offset 0
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
read 0/100 bytes at offset 0
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
read 0/100 bytes at offset 0
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
read 0/100 bytes at offset 0
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
read 0/100 bytes at offset 0
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
read 0/100 bytes at offset 0
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
DONE
Append test
wrote 10/10 bytes at offset 0
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
00000000: 61 70 70 65 6e 64 20 74 6f 20 6d 65 0a 61 61 61 append.to.me.aaa
00000010: 61 61 61 61 61 61 61 aaaaaaa
read 23/24 bytes at offset 0
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
Small Vector Async
00000000: 61 a
read 1/1 bytes at offset 0
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
00000001: 62 b
read 1/1 bytes at offset 1
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
00000002: 63 c
read 1/1 bytes at offset 2
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
00000003: 64 d
read 1/1 bytes at offset 3
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
00000004: 65 e
read 1/1 bytes at offset 4
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
00000005: 66 f
read 1/1 bytes at offset 5
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
00000006: 67 g
read 1/1 bytes at offset 6
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
00000007: 68 h
read 1/1 bytes at offset 7
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
00000008: 69 i
read 1/1 bytes at offset 8
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
00000009: 6a j
read 1/1 bytes at offset 9
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
0000000a: 6b k
read 1/1 bytes at offset 10
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
0000000b: 6c l
read 1/1 bytes at offset 11
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
0000000c: 6d m
read 1/1 bytes at offset 12
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
0000000d: 6e 6f 70 71 72 73 74 75 76 77 78 79 7a nopqrstuvwxyz
read 13/13 bytes at offset 13
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
wrote 1/1 bytes at offset 4090
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
wrote 1/1 bytes at offset 4091
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
wrote 1/1 bytes at offset 4092
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
wrote 1/1 bytes at offset 4093
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
wrote 1/1 bytes at offset 4094
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
wrote 1/1 bytes at offset 4095
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
wrote 1/1 bytes at offset 4096
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
wrote 1/1 bytes at offset 4097
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
wrote 1/1 bytes at offset 4098
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
wrote 1/1 bytes at offset 4099
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
wrote 1/1 bytes at offset 4100
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
wrote 1/1 bytes at offset 4101
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
wrote 1/1 bytes at offset 4102
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
wrote 1/1 bytes at offset 4103
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
wrote 1/1 bytes at offset 4104
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
wrote 1/1 bytes at offset 4105
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
00000ffa: 61 62 63 64 abcd
read 4/4 bytes at offset 4090
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
00000ffe: 65 66 67 68 efgh
read 4/4 bytes at offset 4094
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
00001002: 69 6a 6b 6c ijkl
read 4/4 bytes at offset 4098
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
00001006: 6d 6e 6f 70 mnop
read 4/4 bytes at offset 4102
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
wrote 1/1 bytes at offset 10000000000
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
wrote 1/1 bytes at offset 10000000001
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
wrote 1/1 bytes at offset 10000000002
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
wrote 1/1 bytes at offset 10000000003
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
wrote 1/1 bytes at offset 10000000004
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
wrote 1/1 bytes at offset 10000000005
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
wrote 1/1 bytes at offset 10000000006
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
wrote 1/1 bytes at offset 10000000007
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
wrote 1/1 bytes at offset 10000000008
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
wrote 1/1 bytes at offset 10000000009
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
wrote 1/1 bytes at offset 10000000010
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
wrote 1/1 bytes at offset 10000000011
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
wrote 1/1 bytes at offset 10000000012
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
wrote 1/1 bytes at offset 10000000013
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
wrote 1/1 bytes at offset 10000000014
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
wrote 1/1 bytes at offset 10000000015
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
2540be400: 61 62 63 64 abcd
read 4/4 bytes at offset 10000000000
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
2540be404: 65 66 67 68 efgh
read 4/4 bytes at offset 10000000004
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
2540be408: 69 6a 6b 6c ijkl
read 4/4 bytes at offset 10000000008
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
2540be40c: 6d 6e 6f 70 mnop
read 4/4 bytes at offset 10000000012
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
Small Vector Sync
00000000: 61 a
read 1/1 bytes at offset 0
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
00000001: 62 b
read 1/1 bytes at offset 1
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
00000002: 63 c
read 1/1 bytes at offset 2
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
00000003: 64 d
read 1/1 bytes at offset 3
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
00000004: 65 e
read 1/1 bytes at offset 4
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
00000005: 66 f
read 1/1 bytes at offset 5
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
00000006: 67 g
read 1/1 bytes at offset 6
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
00000007: 68 h
read 1/1 bytes at offset 7
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
00000008: 69 i
read 1/1 bytes at offset 8
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
00000009: 6a j
read 1/1 bytes at offset 9
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
0000000a: 6b k
read 1/1 bytes at offset 10
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
0000000b: 6c l
read 1/1 bytes at offset 11
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
0000000c: 6d m
read 1/1 bytes at offset 12
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
0000000d: 6e 6f 70 71 72 73 74 75 76 77 78 79 7a nopqrstuvwxyz
read 13/13 bytes at offset 13
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
wrote 1/1 bytes at offset 4090
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
wrote 1/1 bytes at offset 4091
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
wrote 1/1 bytes at offset 4092
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
wrote 1/1 bytes at offset 4093
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
wrote 1/1 bytes at offset 4094
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
wrote 1/1 bytes at offset 4095
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
wrote 1/1 bytes at offset 4096
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
wrote 1/1 bytes at offset 4097
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
wrote 1/1 bytes at offset 4098
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
wrote 1/1 bytes at offset 4099
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
wrote 1/1 bytes at offset 4100
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
wrote 1/1 bytes at offset 4101
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
wrote 1/1 bytes at offset 4102
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
wrote 1/1 bytes at offset 4103
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
wrote 1/1 bytes at offset 4104
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
wrote 1/1 bytes at offset 4105
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
00000ffa: 61 62 63 64 abcd
read 4/4 bytes at offset 4090
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
00000ffe: 65 66 67 68 efgh
read 4/4 bytes at offset 4094
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
00001002: 69 6a 6b 6c ijkl
read 4/4 bytes at offset 4098
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
00001006: 6d 6e 6f 70 mnop
read 4/4 bytes at offset 4102
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
wrote 1/1 bytes at offset 10000000000
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
wrote 1/1 bytes at offset 10000000001
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
wrote 1/1 bytes at offset 10000000002
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
wrote 1/1 bytes at offset 10000000003
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
wrote 1/1 bytes at offset 10000000004
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
wrote 1/1 bytes at offset 10000000005
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
wrote 1/1 bytes at offset 10000000006
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
wrote 1/1 bytes at offset 10000000007
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
wrote 1/1 bytes at offset 10000000008
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
wrote 1/1 bytes at offset 10000000009
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
wrote 1/1 bytes at offset 10000000010
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
wrote 1/1 bytes at offset 10000000011
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
wrote 1/1 bytes at offset 10000000012
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
wrote 1/1 bytes at offset 10000000013
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
wrote 1/1 bytes at offset 10000000014
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
wrote 1/1 bytes at offset 10000000015
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
2540be400: 61 62 63 64 abcd
read 4/4 bytes at offset 10000000000
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
2540be404: 65 66 67 68 efgh
read 4/4 bytes at offset 10000000004
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
2540be408: 69 6a 6b 6c ijkl
read 4/4 bytes at offset 10000000008
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
2540be40c: 6d 6e 6f 70 mnop
read 4/4 bytes at offset 10000000012
XXX Bytes, X ops; XX:XX:XX.X (XXX YYY/sec and XXX ops/sec)
Executable
+66
View File
@@ -0,0 +1,66 @@
#! /bin/sh
# FSQA Test No. 131
#
# lock test created from CXFSQA test lockfile_simple
#
#-----------------------------------------------------------------------
# Copyright (c) 2006 Silicon Graphics, Inc. All Rights Reserved.
#-----------------------------------------------------------------------
#
# creator
owner=allanr@sgi.com
seq=`basename $0`
echo "QA output created by $seq"
here=`pwd`
tmp=/tmp/$$
status=1 # failure is the default!
trap "_cleanup; exit \$status" 0 1 2 3 15
_cleanup()
{
_cleanup_testdir
}
# get standard environment, filters and checks
. ./common.rc
. ./common.filter
# real QA test starts here
_supported_fs xfs udf nfs
_supported_os Linux
_require_user
_setup_testdir
TESTFILE=$testdir/lock_file
# Grab a port which is hopefully unused
if [ $$ -gt 1024 -a $$ -lt 32000 ]; then
PORT=$$
elif [ $$ -lt 1024 ]; then
PORT=$(($$+1024))
elif [ $$ -gt 32000 ]; then
PORT=$(($$%30000+1024))
fi
# Start the server
src/locktest -p $PORT $TESTFILE > $testdir/server.out 2>&1 &
sleep 1
# Start the client
src/locktest -p $PORT -h localhost $TESTFILE > $testdir/client.out 2>&1
result=$?
if [ $result -eq 0 ]; then
echo success!
else
echo "Client reported failure ($result)"
cat $testdir/*.out
_cleanup
exit $status
fi
status=0
exit
+2
View File
@@ -0,0 +1,2 @@
QA output created by 131
success!
Executable
+218
View File
@@ -0,0 +1,218 @@
#! /bin/sh
# FSQA Test No. 132
#
# xfs_io aligned vector rw created from CXFSQA test
# unixfile_vector_aligned_rw
#
#-----------------------------------------------------------------------
# Copyright (c) 2006 Silicon Graphics, Inc. All Rights Reserved.
#-----------------------------------------------------------------------
#
# creator
owner=allanr@sgi.com
seq=`basename $0`
echo "QA output created by $seq"
here=`pwd`
tmp=/tmp/$$
status=1 # failure is the default!
trap "_cleanup; exit \$status" 0 1 2 3 15
_cleanup()
{
cd /
_cleanup_testdir
}
# get standard environment, filters and checks
. ./common.rc
. ./common.filter
common_line_filter()
{
perl -ne 'if (/.*:(.*)/) {
if ( "$last_line" ne "$1" ) { print $_; $first_match=1; }
elsif ( $first_match==1 ) { print "*\n"; $first_match=0; }
$last_line="$1";
}
else {
print $_
}'
}
_filter_xfs_io()
{
common_line_filter | sed -e "s/[0-9/.]* [GMKiBbytes]*, [0-9]* ops\; [0-9/:. sec]* ([0-9/.]* [GMKiBbytes]*\/sec and [0-9/.]* ops\/sec)/XXX Bytes, X ops\; XX:XX:XX.X (XXX YYY\/sec and XXX ops\/sec)/"
}
# real QA test starts here
_supported_fs xfs udf nfs
_supported_os Linux IRIX
_setup_testdir
_require_scratch
_require_user
_scratch_mkfs >/dev/null 2>&1
_scratch_mount
xfs_io -f -t -c "pwrite -S 0x63 0 512" \
-c "pwrite -S 0x64 512 512" \
-c "pwrite -S 0x65 1024 512" \
-c "pwrite -S 0x66 1536 512" \
-c "pwrite -S 0x67 2048 512" \
-c "pwrite -S 0x68 2560 512" \
-c "pwrite -S 0x69 3072 512" \
-c "pwrite -S 0x6A 3584 512" \
-c "pread -v 0 512" \
-c "pread -v 512 512" \
-c "pread -v 1024 512" \
-c "pread -v 1536 512" \
-c "pread -v 2048 512" \
-c "pread -v 2560 512" \
-c "pread -v 3072 512" \
-c "pread -v 3584 512" \
$SCRATCH_MNT/aligned_vector_rw | _filter_xfs_io
xfs_io -f -c "pwrite -S 0x63 4096 1024" \
-c "pwrite -S 0x6B 5120 1024" \
-c "pwrite -S 0x6C 6144 1024" \
-c "pwrite -S 0x6D 7168 1024" \
-c "pread -v 0 1024" \
-c "pread -v 1024 1024" \
-c "pread -v 2048 1024" \
-c "pread -v 3072 1024" \
-c "pread -v 4096 1024" \
-c "pread -v 5120 1024" \
-c "pread -v 6144 1024" \
-c "pread -v 7168 1024" \
$SCRATCH_MNT/aligned_vector_rw | _filter_xfs_io
xfs_io -f -c "pwrite -S 0x6E 8192 2048" \
-c "pwrite -S 0x6F 10240 2048" \
-c "pread -v 0 2048" \
-c "pread -v 2048 2048" \
-c "pread -v 4096 2048" \
-c "pread -v 6144 2048" \
-c "pread -v 8192 2048" \
-c "pread -v 10240 2048" \
$SCRATCH_MNT/aligned_vector_rw | _filter_xfs_io
xfs_io -f -c "pwrite -S 0x70 12288 4096" \
-c "pread -v 0 4096" \
-c "pread -v 4096 4096" \
-c "pread -v 8192 4096" \
-c "pread -v 12288 4096" \
$SCRATCH_MNT/aligned_vector_rw | _filter_xfs_io
xfs_io -f -c "pwrite -S 0x71 16384 8192" \
-c "pwrite -S 0x72 24576 8192" \
-c "pread -v 0 8192" \
-c "pread -v 8192 8192" \
-c "pread -v 8192 8192" \
-c "pread -v 16384 8192" \
$SCRATCH_MNT/aligned_vector_rw | _filter_xfs_io
xfs_io -f -c "pwrite -S 0x73 32768 16384" \
-c "pwrite -S 0x74 49152 16384" \
-c "pread -v 0 16384" \
-c "pread -v 16384 16384" \
-c "pread -v 32768 16384" \
-c "pread -v 49152 16384" \
$SCRATCH_MNT/aligned_vector_rw | _filter_xfs_io
xfs_io -f -c "pwrite -S 0x75 65536 32768" \
-c "pwrite -S 0x76 98304 32768" \
-c "pread -v 0 32768" \
-c "pread -v 32768 32768" \
-c "pread -v 65536 32768" \
-c "pread -v 98304 32768" \
$SCRATCH_MNT/aligned_vector_rw | _filter_xfs_io
xfs_io -f -c "pwrite -S 0x76 131072 65536" \
-c "pwrite -S 0x77 196608 65536" \
-c "pread -v 0 65536" \
-c "pread -v 65536 65536" \
-c "pread -v 131072 65536" \
-c "pread -v 196608 65536" \
$SCRATCH_MNT/aligned_vector_rw | _filter_xfs_io
xfs_io -f -c "pwrite -S 0x76 262144 131072" \
-c "pwrite -S 0x77 393216 131072" \
-c "pread -v 0 131072" \
-c "pread -v 131072 131072" \
-c "pread -v 262144 131072" \
-c "pread -v 393216 131072" \
$SCRATCH_MNT/aligned_vector_rw | _filter_xfs_io
xfs_io -f -c "pwrite -S 0x76 524288 524288" \
-c "pwrite -S 0x77 1048576 524288" \
-c "pread -v 0 524288" \
-c "pread -v 524288 524288" \
-c "pread -v 1048576 524288" \
$SCRATCH_MNT/aligned_vector_rw | _filter_xfs_io
xfs_io -f -c "pwrite -S 0x32 1048576 1048576" \
-c "pwrite -S 0x33 2097152 1048576" \
-c "pwrite -S 0x34 3145728 1048576" \
-c "pwrite -S 0x35 4194304 1048576" \
-c "pwrite -S 0x36 5242880 1048576" \
-c "pwrite -S 0x37 6291456 1048576" \
-c "pwrite -S 0x38 7340032 1048576" \
-c "pwrite -S 0x39 8388608 1048576" \
-c "pread -v 0 1048576" \
-c "pread -v 1048576 1048576" \
-c "pread -v 2097152 1048576" \
-c "pread -v 3145728 1048576" \
-c "pread -v 4194304 1048576" \
-c "pread -v 5242880 1048576" \
-c "pread -v 6291456 1048576" \
-c "pread -v 7340032 1048576" \
-c "pread -v 8388608 1048576" \
$SCRATCH_MNT/aligned_vector_rw | _filter_xfs_io
xfs_io -f -c "pwrite -S 0x32 1048576 1048576" \
-c "pwrite -S 0x33 2097152 1048576" \
-c "pwrite -S 0x34 3145728 1048576" \
-c "pwrite -S 0x35 4194304 1048576" \
-c "pwrite -S 0x36 5242880 1048576" \
-c "pwrite -S 0x37 6291456 1048576" \
-c "pwrite -S 0x38 7340032 1048576" \
-c "pwrite -S 0x39 8388608 1048576" \
-c "pwrite -S 0x3A 9437184 1048576" \
-c "pread -v 0 1048576" \
-c "pread -v 1048576 1048576" \
-c "pread -v 2097152 1048576" \
-c "pread -v 3145728 1048576" \
-c "pread -v 4194304 1048576" \
-c "pread -v 5242880 1048576" \
-c "pread -v 6291456 1048576" \
-c "pread -v 7340032 1048576" \
-c "pread -v 8388608 1048576" \
-c "pread -v 9437184 1048576" \
$SCRATCH_MNT/aligned_vector_rw | _filter_xfs_io
xfs_io -f -c "pwrite -S 0x92 10485760 10485760" \
-c "pwrite -S 0x93 20971520 10485760" \
-c "pwrite -S 0x94 31457280 10485760" \
-c "pwrite -S 0x95 41943040 10485760" \
-c "pwrite -S 0x96 52428800 10485760" \
-c "pwrite -S 0x97 62914560 10485760" \
-c "pwrite -S 0x98 73400320 10485760" \
-c "pwrite -S 0x99 83886080 10485760" \
-c "pwrite -S 0x9A 94371840 10485760" \
-c "pread -v 0 10485760" \
-c "pread -v 10485760 10485760" \
-c "pread -v 20971520 10485760" \
-c "pread -v 31457280 10485760" \
-c "pread -v 41943040 10485760" \
-c "pread -v 52428800 10485760" \
-c "pread -v 62914560 10485760" \
-c "pread -v 73400320 10485760" \
-c "pread -v 83886080 10485760" \
-c "pread -v 94371840 10485760" \
$SCRATCH_MNT/aligned_vector_rw | _filter_xfs_io
status=0
exit
+843
View File
File diff suppressed because it is too large Load Diff

Some files were not shown because too many files have changed in this diff Show More